Package org.kapott.hbci.tools

## Class CheckAccountCRC

- java.lang.Object
- - org.kapott.hbci.tools.CheckAccountCRC

    public class CheckAccountCRC
    extends java.lang.Object

Tool zum Verifizieren der Gültigkeit von BLZ/Kontonummer. Alle Kontonummern in Deutschland enthalten eine Prüfziffer, anhand welcher überprüft werden kann, ob die Kontonummer an sich gültig ist. Mit diesem Tool kann für eine gegebene Bankleitzahl und Kontonummer deren Gültigkeit überprüft werden.

In HBCI4Java sind noch nicht alle von den Banken verwendeten Prüfzifferverfahren implementiert. Deshalb können bis jetzt nur die Kontonummern von einigen bestimmten Banken überprüft werden. Anhand der Ausgabe des Programmes ist ersichtlich, ob HBCI4Java tatsächlich die Kontonummer überprüfen konnte und wenn ja, ob die Prüfung erfolgreich verlaufen ist oder nicht.

Der Aufruf erfolgt mit `java -cp ... org.kapott.hbci.tools.CheckAccountCRC <blz> <kontonummer>`

### Constructor Summary

Constructors
`CheckAccountCRC()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckAccountCRC

    public CheckAccountCRC()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)